<?php

declare(strict_types=1);

namespace Dedi\SyliusDpdPickUpPlugin;

use Dedi\SyliusDpdPickUpPlugin\DependencyInjection\DediSyliusDpdPickUpExtension;
use Sylius\Bundle\CoreBundle\Application\SyliusPluginTrait;
use Symfony\Component\DependencyInjection\Extension\ExtensionInterface;
use Symfony\Component\HttpKernel\Bundle\Bundle;

final class DediSyliusDpdPickUpPlugin extends Bundle
{
    use SyliusPluginTrait;

    public function getContainerExtension(): ?ExtensionInterface
    {
        if (null === $this->extension) {
            $this->extension = new DediSyliusDpdPickUpExtension();
        }

        return $this->extension;
    }
}
